public class TestGeometricObject {
  /** Metoda main */
  public static void main(String[] args) {
    // Tworzenie dwóch obiektów geometrycznych
    GeometricObject geoObject1 = new Circle(5);
    GeometricObject geoObject2 = new Rectangle(5, 3);

    System.out.println("Czy obiekty mają tę samą powierzchnię? " +
      equalArea(geoObject1, geoObject2));

    // Wyświetlanie informacji o kole
    displayGeometricObject(geoObject1);

    // Wyświetlanie informacji o prostokącie
    displayGeometricObject(geoObject2);
  }

  /** Metoda do porównywania powierzchni dwóch obiektów geometrycznych */
  public static boolean equalArea(GeometricObject object1,
      GeometricObject object2) {
    return object1.getArea() == object2.getArea();
  }

  /** Metoda do wyświetlania obiektów geometrycznych */
  public static void displayGeometricObject(GeometricObject object) {
    System.out.println();
    System.out.println("Powierzchnia wynosi: " + object.getArea());
    System.out.println("Obwód wynosi: " + object.getPerimeter());
  }
}
